queue_delayed_work_on
Prev | Workqueues and Kevents | Next

## Name

queue_delayed_work_on — queue work on specific CPU after delay

## Synopsis

`int queue_delayed_work_on (` | int | cpu,
| struct workqueue_struct * | wq,
| struct delayed_work * | dwork,
| unsigned long | delay`)`;

## Arguments

`cpu`

  CPU number to execute work on

`wq`

  workqueue to use

`dwork`

  work to queue

`delay`

  number of jiffies to wait before queueing

## Description

Returns 0 if `work` was already on a queue, non-zero otherwise.

Prev | Up | Next
queue_delayed_work | Home | flush_workqueue